Attach a tracking domain to mailboxes

POST
/domains/assign

Sets the tracking domain of one or more mailboxes, replacing the previous one. A PENDING domain can be attached: links keep using the shared Emelia domain until it is OK. A DISABLED domain cannot. Send domainId: null to detach the domain from these mailboxes without deleting it. Ids of mailboxes that are not in your account are ignored.

Authorization

apiKey
Authorization<token>

Your 48 character API key, sent as is (a Bearer prefix is tolerated). Create it at https://v3.emelia.io/settings/api.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/domains/assign" \  -H "Authorization: YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "providerIds": [      "6650f1a2b839d80011c5a0aa",      "6650f1a2b839d80011c5a0ab"    ],    "domainId": "6650f1a2b839d80011c5d0a1"  }'
{  "status": "OK",  "count": 2}